------------------------------------------------------------------------------------
--Name：        210127[简体征服][活动脚本]全球白色情人节活动
--Creator:      耿力兀
--Created:     2021-01-27
------------------------------------------------------------------------------------

CppScriptMgr:SetCanUseEsc(1)
-- 镜头一
CppScriptMgr:SetViewPosByCell(47,37)

local player1 = CppScriptMgr:AddSimplePlayer(1053506,45,38,"Prince William",4003000021,1)
local player2 = CppScriptMgr:AddSimplePlayer(1057670,47,36,"Princess Avril",4003000022,1)
local effectObj1 = CppScriptMgr:AddEffect("tulip-flower-full",29,35);
player1:SetAction(250)
player2:SetAction(250)
player2:SetAction(250)
CppScriptMgr:NpcCallOut("This is... my memory? That`s me and Prince William! So sweet!",2500,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"Princess Avril",250,655)
player1:SetAction(250)
player1:SetAction(250)
player2:SetAction(250)
CppScriptMgr:WaitMilSec(1000)
player1:SetAction(250)
player2:SetAction(250)
player2:SetAction(250)
player1:Say("Little Mermaid gave up killing Prince and turned into bubbles.",2000)
player1:SetAction(250)
player1:SetAction(250)
player2:SetAction(250)
CppScriptMgr:WaitMilSec(2000)
player1:SetAction(250)
player2:SetAction(250)
player2:SetAction(250)
player2:Say("    #08No! This is too miserable! I don`t want this!",2000)
player1:SetAction(250)
player1:SetAction(250)
player2:SetAction(250)
CppScriptMgr:WaitMilSec(2000)
player1:SetAction(250)
player2:SetAction(250)
player2:SetAction(250)
player1:Say("Well, how about this? Little Mermaid and Prince lived happily ever after.",2000)
player1:SetAction(250)
player2:SetAction(250)
player2:SetAction(250)
CppScriptMgr:WaitMilSec(2000)
player1:SetAction(250)
player2:SetAction(250)
player2:SetAction(250)
player2:Say("    #52This is good! They should end up together!",2000)
player1:SetAction(250)
player1:SetAction(250)
player2:SetAction(250)
CppScriptMgr:WaitMilSec(2000)

-- 镜头二
local effectObj2 = CppScriptMgr:AddEffect("HangUoGetExp",51,43)
local effectObj5 = CppScriptMgr:AddEffect("curse-1",51,43)
local player3 = CppScriptMgr:AddSimplePlayer(15363,51,43,"Witch",4003000023,1)
player3:SetZoomPercent(150);
player3:SetDir(3);
player1:SetAction(100)
player2:SetAction(100)
CppScriptMgr:NpcCallOut("The evil witch came! Run! Prince! She will hurt you!",2500,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"Princess Avril",250,655)
CppScriptMgr:WaitMilSec(1000)
player3:Say("I hate people showing off their love! And you even changed my story! Unforgivable!",2000)
CppScriptMgr:WaitMilSec(2000)
player1:SetAction(230)
player1:Say("You can`t freak me out!",2000)
CppScriptMgr:WaitMilSec(2000)

player2:SetAction(180)
player2:Say("You are bragging! You can`t defeat Prince!",2000)
CppScriptMgr:WaitMilSec(2000)

player3:Say("You successfully provoked me! Since you love stories, how about me turning you into a Story Book?",2000)
CppScriptMgr:WaitMilSec(2000)

local effectObj3 = CppScriptMgr:AddEffect("ride_down",51,43)
player1:Say("I can`t move! What`s going on!",2000)
CppScriptMgr:WaitMilSec(2000)

local effectObj4 = CppScriptMgr:AddEffect("zf2-e128",45,38)
player1:SetPos(328,328);
local player4 = CppScriptMgr:AddSimplePlayer(20690,45,38,"Story Book",4003000024,1)
CppScriptMgr:WaitMilSec(800)
player2:SetAction(170)
player2:Say("Help! Who can save Prince?",2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("So, the witch turned Prince into a Love Story Book. Who can save him?",2500,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"Princess Avril",250,655)
CppScriptMgr:WaitMilSec(2000)